Subject: Re: [RFC 0/4] [flexcan] Add support for powerpc (freescale p1010) -V5

From: Robin Holt <holt-sJ/[email-masked]>
Date: Sat, 6 Aug 2011 06:06:02 -0500

On Fri, Aug 05, 2011 at 11:05:00PM -0500, Robin Holt wrote:
> Marc, Wolfgang or U Bhaskar,
> 
> This patch set should have all your comments included.
> 
> I did implement a very simple clock source in the p1010rdb.c file, which,
> unfortunately, your tree will not have so please do not apply the last
> patch in the series.  That will need to go to the powerpc folks and
> follow the p1010rdb patch from freescale.
> 
> Could you please apply the first three patches to a test branch, compile
> and test them on an arm based system?  I would like to at least feel
> comfortable that I have not broken anything there.
> 
> I have tested the full set on a p1010rdb with an external PSOC based
> can communicator.  That PSOC code has a bunch of erroneous can comms it
> can generate, but I do not know how the developer of that code injects
> those errors.  As a result, no error handling from the can input has been
> tested.  I have tested both flexcan interfaces on the board and both work
> with these patches in addition to the other p1010rdb patches not included.

ARGH!

I just did a quick look back at my git log, and I have one other patch
earlier in the series where I committed a one-line change to flexcan.c
which is probably very relevant to you, but not so much to me.  I removed
the mach/clock.h which does not seem to exist for powerpc.

Can any of you tell me if that is relevant for the arm flexcan build?
If not, does it seem reasonable to just remove it early on?

Thanks,
Robin